// gnome.xonotic.in.ua

models/mapobjects/13black/odium_head
{
	{
		map models/mapobjects/13black/odium_head.tga
		rgbgen vertex
	}
	{
		map models/mapobjects/13black/odium_head_mask.tga
		blendfunc add
		rgbgen wave sin -2 3 0.15 0.125
	}
}

models/mapobjects/13black/odium_teeth
{
	cull disable
	{
		map models/mapobjects/13black/odium_teeth.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
}

models/mapobjects/13black/odium_wing
{
	cull disable
	{
		map models/mapobjects/13black/odium_wing.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
}

models/mapobjects/13/slamp/slamp2
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
		map models/mapobjects/13/slamp/slamp2.tga
		blendfunc add
	}
	{
		map textures/effects/envmapdimb.tga
		blendfunc add
		tcgen environment
	}
}

models/mapobjects/13/slamp/slamp3
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	q3map_surfacelight 100
	{
		map models/mapobjects/slamp/slamp3.tga
		blendfunc add
	}
}

models/mapobjects/bitch/forearm
{
	{
		map models/mapobjects/bitch/forearm.tga
		rgbgen vertex
	}
	{
		map models/mapobjects/bitch/forearm01.tga
		blendfunc gl_one gl_one
		tcmod scroll 2.2 0
	}
	{
		map models/mapobjects/bitch/forearm02.tga
		blendfunc gl_one gl_one
		tcmod scroll -1.1 0
	}
}

models/mapobjects/bitch/orb
{
	deformvertexes autosprite
	q3map_surfacelight 70
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		clampmap models/mapobjects/bitch/orb.tga
		blendfunc gl_one gl_one
		tcmod rotate 30
	}
}

models/mapobjects/jets/jet_1
{
	surfaceparm trans
	nomipmaps
	cull disable
	{
		map models/mapobjects/jets/jet_1.tga
		blendfunc add
		tcmod scale .5 1
		tcmod scroll 6 0
		rgbgen identity
	}
	{
		map models/mapobjects/jets/jet_2.tga
		blendfunc add
		tcmod scroll 3 -.5
		rgbgen wave inversesawtooth -.3 1.3 0 .5
	}
}

models/mapobjects/jets/jet_as
{
	deformvertexes autosprite2
	deformvertexes wave 100 sin 0 1 0 9
	surfaceparm trans
	nomipmaps
	{
		map models/mapobjects/jets/jet_as.tga
		blendfunc add
		rgbgen identity
	}
}

models/mapobjects/slamp/slamp2
{
	cull disable
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map models/mapobjects/slamp/slamp2.tga
		blendfunc gl_one gl_one
	}
	{
		map textures/effects/envmapdimb.tga
		tcgen environment
		blendfunc gl_one gl_one
	}
}

models/mapobjects/slamp/slamp3
{
	deformvertexes autosprite2
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 100
	{
		map models/mapobjects/slamp/slamp3.tga
		blendfunc gl_one gl_one
	}
}

textures/13black/blocks_full
{
	qer_editorimage textures/13black/blocks_full.tga
	{
		map textures/13black/enviro.tga
		rgbgen identity
		tcgen environment
	}
	{
		map textures/13black/blocks_full.tga
		blendfunc add
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

textures/13black/blocks_tile
{
	qer_editorimage textures/13black/blocks_tile.tga
	{
		map textures/13black/enviro.tga
		rgbgen identity
		tcgen environment
	}
	{
		map textures/13black/blocks_tile.tga
		blendfunc add
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

textures/13black/crystal
{
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/13black/crystal.tga
		blendfunc add
		rgbgen identity
		tcmod turb 0 0.2 0 0.1
		tcgen environment
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

textures/13black/env/skybox
{
	qer_editorimage textures/13black/env/black_up.tga
	q3map_lightimage textures/13black/env/black_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 1000
	q3map_sun 0.682353 0.682353 0.823529 70 270 40
	skyparms textures/13black/env/black 128 -
}

textures/13black_se/largerblock2
{
	qer_editorimage textures/13black_se/largerblock2.tga
	surfaceparm nolightmap
	portal
	{
		map textures/13black_se/largerblock2.tga
		blendfunc blend
		depthwrite
	}
}

textures/13black_se/largerblock2_ow
{
	qer_editorimage textures/13black_se/largerblock2_ow.tga
	surfaceparm nolightmap
	portal
	{
		map textures/13black_se/largerblock2_ow.tga
		blendfunc blend
		depthwrite
	}
	{
		map textures/13black/fire_ow.tga
		blendfunc add
		rgbgen wave noise 0.75 0.25 0 10
	}
}

textures/13black_se/largerblock2_pent
{
	qer_editorimage textures/13black_se/largerblock2_pent.tga
	surfaceparm nolightmap
	portal
	{
		map textures/13black_se/largerblock2_pent.tga
		blendfunc blend
		depthwrite
	}
}

textures/13black_se/largerblock2_shadow
{
	qer_editorimage textures/13black_se/largerblock2_shadow.tga
	surfaceparm nolightmap
	portal
	{
		map textures/13black_se/largerblock2_shadow.tga
		blendfunc blend
		depthwrite
	}
}

textures/13black/soul
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/13black/soul.tga
		blendfunc add
		rgbgen wave noise 0.7 0.3 0 10
		tcmod scroll 0 0.125
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodraw
}

textures/skies/xblacksky_dm7
{
	qer_editorimage textures/skies/blacksky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	{
		map gfx/colors/black.tga
	}
}

